> For the complete documentation index, see [llms.txt](https://docs.launchstack.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.launchstack.app/backend/payments-stripe.md).

# Payments \[Stripe]

Subscriptions Payments are supported out of the box in LaunchStack, all you need to do it's add your plans inside the file config/launchstack.php and set up your .env file.

```
# Stripe
STRIPE_KEY=pk_test_28YpPevvtsgQsuk9I3XdQ6dT
STRIPE_SECRET=sk_test_h2uTKRYUMY2JprSOgL3vAwRp
STRIPE_WEBHOOK_SECRET=

# Plans
STRIPE_PRICE_ID_TIER_01=price_111
STRIPE_PRICE_ID_TIER_02=price_222
STRIPE_PRICE_ID_TIER_03=price_333
```

```php
'billing' => [
    'plans' => [
        [
            'name' => 'Tier 1',
            'price' => 9,
            'trialDays' => 7,
            'stripeId' => env('STRIPE_PRICE_ID'),
            'description' => "",
            'features' => [
                'Feature 1',
                'Feature 2',
                'Feature 3',
                'Feature 4'
            ]
        ],
        // your plans
    ]
]
```

Some valid credit cards for testing, more info at [Stripe Documentation](https://stripe.com/docs/testing#cards).

**Visa**

```
Card: 4242424242424242
Date: Any future date
CVV: Any 3 digits
```

**MasterCard**

```
Card: 5555555555554444
Date: Any future date
CVV: Any 3 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.launchstack.app/backend/payments-stripe.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
